Bug 882810 - redundant calls to getQuotaConsumptionParameters()
redundant calls to getQuotaConsumptionParameters()
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity low
: ---
: 3.2
Assigned To: ofri
sla
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-03 02:04 EST by ofri
Modified: 2013-02-15 01:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 01:47:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ofri 2012-12-03 02:04:53 EST
Description of problem:
code change.
not visible in UI
Comment 1 ofri 2012-12-03 02:06:53 EST
method command@getQuotaConsumptionParameters() is called 3 times in the command flow.
the return value should be saved to reduce calls.
Comment 3 Doron Fediuck 2012-12-03 03:07:01 EST
Setting the relevant bz product.
Comment 4 ofri 2012-12-03 03:20:55 EST
posted to upstream: http://gerrit.ovirt.org/#/c/9656/
Comment 5 Itamar Heim 2013-01-16 11:10:04 EST
3.2 beta built, moving to ON_QA status to allow testing

Note You need to log in before you can comment on or make changes to this bug.